// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: switchmodule/switchmodule.proto

package openfmb.switchmodule;

/**
 * <pre>
 * OpenFMB specialization for SwitchEventProfile
 * </pre>
 *
 * Protobuf type {@code switchmodule.SwitchEventXSWI}
 */
public final class SwitchEventXSWI extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:switchmodule.SwitchEventXSWI)
    SwitchEventXSWIOrBuilder {
private static final long serialVersionUID = 0L;
  // Use SwitchEventXSWI.newBuilder() to construct.
  private SwitchEventXSWI(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private SwitchEventXSWI() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new SwitchEventXSWI();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventXSWI_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventXSWI_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.switchmodule.SwitchEventXSWI.class, openfmb.switchmodule.SwitchEventXSWI.Builder.class);
  }

  public static final int LOGICALNODEFOREVENTANDSTATUS_FIELD_NUMBER = 1;
  private openfmb.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the logicalNodeForEventAndStatus field is set.
   */
  @java.lang.Override
  public boolean hasLogicalNodeForEventAndStatus() {
    return logicalNodeForEventAndStatus_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return The logicalNodeForEventAndStatus.
   */
  @java.lang.Override
  public openfmb.commonmodule.LogicalNodeForEventAndStatus getLogicalNodeForEventAndStatus() {
    return logicalNodeForEventAndStatus_ == null ? openfmb.commonmodule.LogicalNodeForEventAndStatus.getDefaultInstance() : logicalNodeForEventAndStatus_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.LogicalNodeForEventAndStatusOrBuilder getLogicalNodeForEventAndStatusOrBuilder() {
    return logicalNodeForEventAndStatus_ == null ? openfmb.commonmodule.LogicalNodeForEventAndStatus.getDefaultInstance() : logicalNodeForEventAndStatus_;
  }

  public static final int DYNAMICTEST_FIELD_NUMBER = 2;
  private openfmb.commonmodule.ENS_DynamicTestKind dynamicTest_;
  /**
   * <pre>
   * Dynamic test status
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
   * @return Whether the dynamicTest field is set.
   */
  @java.lang.Override
  public boolean hasDynamicTest() {
    return dynamicTest_ != null;
  }
  /**
   * <pre>
   * Dynamic test status
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
   * @return The dynamicTest.
   */
  @java.lang.Override
  public openfmb.commonmodule.ENS_DynamicTestKind getDynamicTest() {
    return dynamicTest_ == null ? openfmb.commonmodule.ENS_DynamicTestKind.getDefaultInstance() : dynamicTest_;
  }
  /**
   * <pre>
   * Dynamic test status
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.ENS_DynamicTestKindOrBuilder getDynamicTestOrBuilder() {
    return dynamicTest_ == null ? openfmb.commonmodule.ENS_DynamicTestKind.getDefaultInstance() : dynamicTest_;
  }

  public static final int POS_FIELD_NUMBER = 3;
  private openfmb.commonmodule.PhaseDPS pos_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PhaseDPS Pos = 3;</code>
   * @return Whether the pos field is set.
   */
  @java.lang.Override
  public boolean hasPos() {
    return pos_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PhaseDPS Pos = 3;</code>
   * @return The pos.
   */
  @java.lang.Override
  public openfmb.commonmodule.PhaseDPS getPos() {
    return pos_ == null ? openfmb.commonmodule.PhaseDPS.getDefaultInstance() : pos_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.PhaseDPS Pos = 3;</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.PhaseDPSOrBuilder getPosOrBuilder() {
    return pos_ == null ? openfmb.commonmodule.PhaseDPS.getDefaultInstance() : pos_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (logicalNodeForEventAndStatus_ != null) {
      output.writeMessage(1, getLogicalNodeForEventAndStatus());
    }
    if (dynamicTest_ != null) {
      output.writeMessage(2, getDynamicTest());
    }
    if (pos_ != null) {
      output.writeMessage(3, getPos());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (logicalNodeForEventAndStatus_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getLogicalNodeForEventAndStatus());
    }
    if (dynamicTest_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getDynamicTest());
    }
    if (pos_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getPos());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.switchmodule.SwitchEventXSWI)) {
      return super.equals(obj);
    }
    openfmb.switchmodule.SwitchEventXSWI other = (openfmb.switchmodule.SwitchEventXSWI) obj;

    if (hasLogicalNodeForEventAndStatus() != other.hasLogicalNodeForEventAndStatus()) return false;
    if (hasLogicalNodeForEventAndStatus()) {
      if (!getLogicalNodeForEventAndStatus()
          .equals(other.getLogicalNodeForEventAndStatus())) return false;
    }
    if (hasDynamicTest() != other.hasDynamicTest()) return false;
    if (hasDynamicTest()) {
      if (!getDynamicTest()
          .equals(other.getDynamicTest())) return false;
    }
    if (hasPos() != other.hasPos()) return false;
    if (hasPos()) {
      if (!getPos()
          .equals(other.getPos())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasLogicalNodeForEventAndStatus()) {
      hash = (37 * hash) + LOGICALNODEFOREVENTANDSTATUS_FIELD_NUMBER;
      hash = (53 * hash) + getLogicalNodeForEventAndStatus().hashCode();
    }
    if (hasDynamicTest()) {
      hash = (37 * hash) + DYNAMICTEST_FIELD_NUMBER;
      hash = (53 * hash) + getDynamicTest().hashCode();
    }
    if (hasPos()) {
      hash = (37 * hash) + POS_FIELD_NUMBER;
      hash = (53 * hash) + getPos().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.switchmodule.SwitchEventXSWI parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.switchmodule.SwitchEventXSWI prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * OpenFMB specialization for SwitchEventProfile
   * </pre>
   *
   * Protobuf type {@code switchmodule.SwitchEventXSWI}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:switchmodule.SwitchEventXSWI)
      openfmb.switchmodule.SwitchEventXSWIOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventXSWI_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventXSWI_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.switchmodule.SwitchEventXSWI.class, openfmb.switchmodule.SwitchEventXSWI.Builder.class);
    }

    // Construct using openfmb.switchmodule.SwitchEventXSWI.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      logicalNodeForEventAndStatus_ = null;
      if (logicalNodeForEventAndStatusBuilder_ != null) {
        logicalNodeForEventAndStatusBuilder_.dispose();
        logicalNodeForEventAndStatusBuilder_ = null;
      }
      dynamicTest_ = null;
      if (dynamicTestBuilder_ != null) {
        dynamicTestBuilder_.dispose();
        dynamicTestBuilder_ = null;
      }
      pos_ = null;
      if (posBuilder_ != null) {
        posBuilder_.dispose();
        posBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.switchmodule.Switchmodule.internal_static_switchmodule_SwitchEventXSWI_descriptor;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchEventXSWI getDefaultInstanceForType() {
      return openfmb.switchmodule.SwitchEventXSWI.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchEventXSWI build() {
      openfmb.switchmodule.SwitchEventXSWI result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.switchmodule.SwitchEventXSWI buildPartial() {
      openfmb.switchmodule.SwitchEventXSWI result = new openfmb.switchmodule.SwitchEventXSWI(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.switchmodule.SwitchEventXSWI result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.logicalNodeForEventAndStatus_ = logicalNodeForEventAndStatusBuilder_ == null
            ? logicalNodeForEventAndStatus_
            : logicalNodeForEventAndStatusBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.dynamicTest_ = dynamicTestBuilder_ == null
            ? dynamicTest_
            : dynamicTestBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.pos_ = posBuilder_ == null
            ? pos_
            : posBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.switchmodule.SwitchEventXSWI) {
        return mergeFrom((openfmb.switchmodule.SwitchEventXSWI)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.switchmodule.SwitchEventXSWI other) {
      if (other == openfmb.switchmodule.SwitchEventXSWI.getDefaultInstance()) return this;
      if (other.hasLogicalNodeForEventAndStatus()) {
        mergeLogicalNodeForEventAndStatus(other.getLogicalNodeForEventAndStatus());
      }
      if (other.hasDynamicTest()) {
        mergeDynamicTest(other.getDynamicTest());
      }
      if (other.hasPos()) {
        mergePos(other.getPos());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getLogicalNodeForEventAndStatusFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getDynamicTestFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getPosFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.LogicalNodeForEventAndStatus, openfmb.commonmodule.LogicalNodeForEventAndStatus.Builder, openfmb.commonmodule.LogicalNodeForEventAndStatusOrBuilder> logicalNodeForEventAndStatusBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the logicalNodeForEventAndStatus field is set.
     */
    public boolean hasLogicalNodeForEventAndStatus() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
     * @return The logicalNodeForEventAndStatus.
     */
    public openfmb.commonmodule.LogicalNodeForEventAndStatus getLogicalNodeForEventAndStatus() {
      if (logicalNodeForEventAndStatusBuilder_ == null) {
        return logicalNodeForEventAndStatus_ == null ? openfmb.commonmodule.LogicalNodeForEventAndStatus.getDefaultInstance() : logicalNodeForEventAndStatus_;
      } else {
        return logicalNodeForEventAndStatusBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setLogicalNodeForEventAndStatus(openfmb.commonmodule.LogicalNodeForEventAndStatus value) {
      if (logicalNodeForEventAndStatusBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        logicalNodeForEventAndStatus_ = value;
      } else {
        logicalNodeForEventAndStatusBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setLogicalNodeForEventAndStatus(
        openfmb.commonmodule.LogicalNodeForEventAndStatus.Builder builderForValue) {
      if (logicalNodeForEventAndStatusBuilder_ == null) {
        logicalNodeForEventAndStatus_ = builderForValue.build();
      } else {
        logicalNodeForEventAndStatusBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeLogicalNodeForEventAndStatus(openfmb.commonmodule.LogicalNodeForEventAndStatus value) {
      if (logicalNodeForEventAndStatusBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          logicalNodeForEventAndStatus_ != null &&
          logicalNodeForEventAndStatus_ != openfmb.commonmodule.LogicalNodeForEventAndStatus.getDefaultInstance()) {
          getLogicalNodeForEventAndStatusBuilder().mergeFrom(value);
        } else {
          logicalNodeForEventAndStatus_ = value;
        }
      } else {
        logicalNodeForEventAndStatusBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearLogicalNodeForEventAndStatus() {
      bitField0_ = (bitField0_ & ~0x00000001);
      logicalNodeForEventAndStatus_ = null;
      if (logicalNodeForEventAndStatusBuilder_ != null) {
        logicalNodeForEventAndStatusBuilder_.dispose();
        logicalNodeForEventAndStatusBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.LogicalNodeForEventAndStatus.Builder getLogicalNodeForEventAndStatusBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getLogicalNodeForEventAndStatusFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.LogicalNodeForEventAndStatusOrBuilder getLogicalNodeForEventAndStatusOrBuilder() {
      if (logicalNodeForEventAndStatusBuilder_ != null) {
        return logicalNodeForEventAndStatusBuilder_.getMessageOrBuilder();
      } else {
        return logicalNodeForEventAndStatus_ == null ?
            openfmb.commonmodule.LogicalNodeForEventAndStatus.getDefaultInstance() : logicalNodeForEventAndStatus_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.LogicalNodeForEventAndStatus, openfmb.commonmodule.LogicalNodeForEventAndStatus.Builder, openfmb.commonmodule.LogicalNodeForEventAndStatusOrBuilder> 
        getLogicalNodeForEventAndStatusFieldBuilder() {
      if (logicalNodeForEventAndStatusBuilder_ == null) {
        logicalNodeForEventAndStatusBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.LogicalNodeForEventAndStatus, openfmb.commonmodule.LogicalNodeForEventAndStatus.Builder, openfmb.commonmodule.LogicalNodeForEventAndStatusOrBuilder>(
                getLogicalNodeForEventAndStatus(),
                getParentForChildren(),
                isClean());
        logicalNodeForEventAndStatus_ = null;
      }
      return logicalNodeForEventAndStatusBuilder_;
    }

    private openfmb.commonmodule.ENS_DynamicTestKind dynamicTest_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ENS_DynamicTestKind, openfmb.commonmodule.ENS_DynamicTestKind.Builder, openfmb.commonmodule.ENS_DynamicTestKindOrBuilder> dynamicTestBuilder_;
    /**
     * <pre>
     * Dynamic test status
     * </pre>
     *
     * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
     * @return Whether the dynamicTest field is set.
     */
    public boolean hasDynamicTest() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * Dynamic test status
     * </pre>
     *
     * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
     * @return The dynamicTest.
     */
    public openfmb.commonmodule.ENS_DynamicTestKind getDynamicTest() {
      if (dynamicTestBuilder_ == null) {
        return dynamicTest_ == null ? openfmb.commonmodule.ENS_DynamicTestKind.getDefaultInstance() : dynamicTest_;
      } else {
        return dynamicTestBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * Dynamic test status
     * </pre>
     *
     * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
     */
    public Builder setDynamicTest(openfmb.commonmodule.ENS_DynamicTestKind value) {
      if (dynamicTestBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        dynamicTest_ = value;
      } else {
        dynamicTestBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Dynamic test status
     * </pre>
     *
     * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
     */
    public Builder setDynamicTest(
        openfmb.commonmodule.ENS_DynamicTestKind.Builder builderForValue) {
      if (dynamicTestBuilder_ == null) {
        dynamicTest_ = builderForValue.build();
      } else {
        dynamicTestBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Dynamic test status
     * </pre>
     *
     * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
     */
    public Builder mergeDynamicTest(openfmb.commonmodule.ENS_DynamicTestKind value) {
      if (dynamicTestBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          dynamicTest_ != null &&
          dynamicTest_ != openfmb.commonmodule.ENS_DynamicTestKind.getDefaultInstance()) {
          getDynamicTestBuilder().mergeFrom(value);
        } else {
          dynamicTest_ = value;
        }
      } else {
        dynamicTestBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Dynamic test status
     * </pre>
     *
     * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
     */
    public Builder clearDynamicTest() {
      bitField0_ = (bitField0_ & ~0x00000002);
      dynamicTest_ = null;
      if (dynamicTestBuilder_ != null) {
        dynamicTestBuilder_.dispose();
        dynamicTestBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Dynamic test status
     * </pre>
     *
     * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
     */
    public openfmb.commonmodule.ENS_DynamicTestKind.Builder getDynamicTestBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getDynamicTestFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * Dynamic test status
     * </pre>
     *
     * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
     */
    public openfmb.commonmodule.ENS_DynamicTestKindOrBuilder getDynamicTestOrBuilder() {
      if (dynamicTestBuilder_ != null) {
        return dynamicTestBuilder_.getMessageOrBuilder();
      } else {
        return dynamicTest_ == null ?
            openfmb.commonmodule.ENS_DynamicTestKind.getDefaultInstance() : dynamicTest_;
      }
    }
    /**
     * <pre>
     * Dynamic test status
     * </pre>
     *
     * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ENS_DynamicTestKind, openfmb.commonmodule.ENS_DynamicTestKind.Builder, openfmb.commonmodule.ENS_DynamicTestKindOrBuilder> 
        getDynamicTestFieldBuilder() {
      if (dynamicTestBuilder_ == null) {
        dynamicTestBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.ENS_DynamicTestKind, openfmb.commonmodule.ENS_DynamicTestKind.Builder, openfmb.commonmodule.ENS_DynamicTestKindOrBuilder>(
                getDynamicTest(),
                getParentForChildren(),
                isClean());
        dynamicTest_ = null;
      }
      return dynamicTestBuilder_;
    }

    private openfmb.commonmodule.PhaseDPS pos_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.PhaseDPS, openfmb.commonmodule.PhaseDPS.Builder, openfmb.commonmodule.PhaseDPSOrBuilder> posBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.PhaseDPS Pos = 3;</code>
     * @return Whether the pos field is set.
     */
    public boolean hasPos() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.PhaseDPS Pos = 3;</code>
     * @return The pos.
     */
    public openfmb.commonmodule.PhaseDPS getPos() {
      if (posBuilder_ == null) {
        return pos_ == null ? openfmb.commonmodule.PhaseDPS.getDefaultInstance() : pos_;
      } else {
        return posBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.PhaseDPS Pos = 3;</code>
     */
    public Builder setPos(openfmb.commonmodule.PhaseDPS value) {
      if (posBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        pos_ = value;
      } else {
        posBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.PhaseDPS Pos = 3;</code>
     */
    public Builder setPos(
        openfmb.commonmodule.PhaseDPS.Builder builderForValue) {
      if (posBuilder_ == null) {
        pos_ = builderForValue.build();
      } else {
        posBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.PhaseDPS Pos = 3;</code>
     */
    public Builder mergePos(openfmb.commonmodule.PhaseDPS value) {
      if (posBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          pos_ != null &&
          pos_ != openfmb.commonmodule.PhaseDPS.getDefaultInstance()) {
          getPosBuilder().mergeFrom(value);
        } else {
          pos_ = value;
        }
      } else {
        posBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.PhaseDPS Pos = 3;</code>
     */
    public Builder clearPos() {
      bitField0_ = (bitField0_ & ~0x00000004);
      pos_ = null;
      if (posBuilder_ != null) {
        posBuilder_.dispose();
        posBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.PhaseDPS Pos = 3;</code>
     */
    public openfmb.commonmodule.PhaseDPS.Builder getPosBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getPosFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.PhaseDPS Pos = 3;</code>
     */
    public openfmb.commonmodule.PhaseDPSOrBuilder getPosOrBuilder() {
      if (posBuilder_ != null) {
        return posBuilder_.getMessageOrBuilder();
      } else {
        return pos_ == null ?
            openfmb.commonmodule.PhaseDPS.getDefaultInstance() : pos_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.PhaseDPS Pos = 3;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.PhaseDPS, openfmb.commonmodule.PhaseDPS.Builder, openfmb.commonmodule.PhaseDPSOrBuilder> 
        getPosFieldBuilder() {
      if (posBuilder_ == null) {
        posBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.PhaseDPS, openfmb.commonmodule.PhaseDPS.Builder, openfmb.commonmodule.PhaseDPSOrBuilder>(
                getPos(),
                getParentForChildren(),
                isClean());
        pos_ = null;
      }
      return posBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:switchmodule.SwitchEventXSWI)
  }

  // @@protoc_insertion_point(class_scope:switchmodule.SwitchEventXSWI)
  private static final openfmb.switchmodule.SwitchEventXSWI DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.switchmodule.SwitchEventXSWI();
  }

  public static openfmb.switchmodule.SwitchEventXSWI getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<SwitchEventXSWI>
      PARSER = new com.google.protobuf.AbstractParser<SwitchEventXSWI>() {
    @java.lang.Override
    public SwitchEventXSWI parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<SwitchEventXSWI> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<SwitchEventXSWI> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.switchmodule.SwitchEventXSWI getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

